# pandas.Index.map

Index.map(mapper, na_action=None)

  Map values using input correspondence (a dict, Series, or function).

  Parameters
    mapper function, dict, or Series

      Mapping correspondence.

    na_action{None, ‘ignore’}

      If ‘ignore’, propagate NA values, without passing them to the mapping correspondence.

  Returns
    applied Union[Index, MultiIndex], inferred

      The output of the mapping function applied to the index. If the function returns a tuple with more than one element a MultiIndex will be returned.